#
# spec file for package vdr-plugin-dynamite
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname dynamite
%define pluginversion 0.2.1
Name:           vdr-plugin-%{pluginname}
Version:        %{pluginversion}
Release:        lp150.2.2
Summary:        This plugin turns the dvbdevices into hotpluggable devices
License:        GPL-2.0
Group:          Hardware/TV
Url:            https://github.com/flensrocker/vdr-plugin-dynamite
Source0:        vdr-plugin-%{pluginname}-%{pluginversion}.tar.gz
Patch0:         dynamite-gcc6.patch
BuildRequires:  gcc-c++
BuildRequires:  libudev-devel
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
PreReq:         %vdr_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This plugin turns the dvbdevices into hotpluggable devices. They can be dynamically attached and detached while vdr is running.

%prep
%setup -q -n %{name}-%{pluginversion}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc COPYING HISTORY README

%changelog
* Fri Jun 17 2016 seife+obs@b1-systems.com
- add dynamite-gcc6.patch to fix build with GCC 6
* Sat Mar 29 2014 seife+obs@b1-systems.com
- remove vdrapi version from package version
- change from vdrapi requires to vdr_prereq PreReq
- run spec-cleaner
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make / make install instead of vdr_plugin macros
* Sat Feb  8 2014 wagner-thomas@gmx.at
- update to 0.2.1
- update URL to current repository of dynamite
* Sun May 12 2013 wittemar@googlemail.com
- update to 0.1.5
* Mon Mar 25 2013 wittemar@googlemail.com
- update to 0.1.4
* Mon Oct 15 2012 wittemar@googlemail.com
- update to 0.1.0
* Tue May 22 2012 wittemar@googlemail.com
- first version 0.0.9e
